Cannot start QCAD on Ubuntu 12.04 [solved]

If you are having problems with QCAD version 3, post here. Please report bugs here.

Moderator: andrew

Cannot start QCAD on Ubuntu 12.04 [solved]

Postby chris_de_villiers » Tue Feb 19, 2013 9:13 am

I have been using qcad-3.0.0-rc5-prof-linux successfully on Ubuntu Studio 12.04 (64-bit) since 12.04 was released. Unfortunately, my PC crashed and I had to do a fresh install of Ubuntu Studio 12.04. I re-installed QCAD after installing ia32-libs, but now QCAD won't run. This is what happens:

Code: Select all
chris@chris-MS-7680:~/opt/qcad-3.0.0-rc5-prof-linux$ ./qcad
./qcad: line 35: 15198 Segmentation fault      (core dumped) LD_LIBRARY_PATH="$DIR" "$binary" $OPT1 $OPT2 "$@"


Any ideas as to what the problem might be?

Thanks
chris_de_villiers
Newbie Member
 
Posts: 6
Joined: Tue Feb 19, 2013 8:37 am

Re: Cannot start QCAD on Ubuntu 12.04

Postby hungerburg » Tue Feb 19, 2013 10:32 am

Would you try to launch the application from the commandline with the "style" argument?

./qcad -style plastique

(The release version should use the plastique style automatically, but RC5 maybe not...)
User avatar
hungerburg
Senior Member
 
Posts: 125
Joined: Fri May 28, 2010 7:35 pm

Re: Cannot start QCAD on Ubuntu 12.04

Postby andrew » Tue Feb 19, 2013 10:40 am

Chris: Is there a particular reason for using the release candidate 5 instead of the the final release of QCAD 3?

If not, I would recommend to update to QCAD 3 final to check if the problem persists:
http://www.ribbonsoft.com/en/customer-area
User avatar
andrew
Site Admin
 
Posts: 2524
Joined: Fri Mar 30, 2007 6:07 am

Re: Cannot start QCAD on Ubuntu 12.04

Postby chris_de_villiers » Tue Feb 19, 2013 10:43 am

Thanks, I tried the "style" argument, but I get the same message:

Code: Select all
chris@chris-MS-7680:~/opt/qcad-3.0.0-rc5-prof-linux$ ./qcad -style plastique
./qcad: line 35:  2228 Segmentation fault      (core dumped) LD_LIBRARY_PATH="$DIR" "$binary" $OPT1 $OPT2 "$@"


All I can think of is that it must be due to a recent 12.04 update, because that is the only thing that could have changed between my previously successful installation of QCAD, and now.
chris_de_villiers
Newbie Member
 
Posts: 6
Joined: Tue Feb 19, 2013 8:37 am

Re: Cannot start QCAD on Ubuntu 12.04

Postby chris_de_villiers » Tue Feb 19, 2013 10:45 am

Sorry, Andrew, I only saw your message after I posted the previous reply.

I'll try the update.
chris_de_villiers
Newbie Member
 
Posts: 6
Joined: Tue Feb 19, 2013 8:37 am

Re: Cannot start QCAD on Ubuntu 12.04

Postby chris_de_villiers » Tue Feb 19, 2013 11:04 am

Andrew: I downloaded the stable version and installed it, but I still have the same problem when I try to run QCAD.
chris_de_villiers
Newbie Member
 
Posts: 6
Joined: Tue Feb 19, 2013 8:37 am

Re: Cannot start QCAD on Ubuntu 12.04

Postby andrew » Tue Feb 19, 2013 11:17 am

Can you please post the output of this exact command, run from the installation directory of QCAD:
Code: Select all
LD_LIBRARY_PATH=. ldd ./qcad-bin


This is all on one line.
User avatar
andrew
Site Admin
 
Posts: 2524
Joined: Fri Mar 30, 2007 6:07 am

Re: Cannot start QCAD on Ubuntu 12.04

Postby chris_de_villiers » Tue Feb 19, 2013 11:29 am

Andrew: here is the output you requested:

Code: Select all
chris@chris-MS-7680:~/opt/qcad-3.0.0-prof-linux$ LD_LIBRARY_PATH=. ldd ./qcad-bin
   linux-gate.so.1 =>  (0xf7736000)
   libQtWebKit.so.4 => ./libQtWebKit.so.4 (0xf6409000)
   libQtScriptTools.so.4 => ./libQtScriptTools.so.4 (0xf6353000)
   libQtScript.so.4 => ./libQtScript.so.4 (0xf60af000)
   libQtSvg.so.4 => ./libQtSvg.so.4 (0xf6059000)
   libQtXmlPatterns.so.4 => ./libQtXmlPatterns.so.4 (0xf5c4c000)
   libQtOpenGL.so.4 => ./libQtOpenGL.so.4 (0xf5b5a000)
   libGLU.so.1 => /usr/lib/i386-linux-gnu/libGLU.so.1 (0xf5ac4000)
   libGL.so.1 => /usr/lib/i386-linux-gnu/mesa/libGL.so.1 (0xf5a6a000)
   libQtDesigner.so.4 => ./libQtDesigner.so.4 (0xf548f000)
   libQtHelp.so.4 => ./libQtHelp.so.4 (0xf540d000)
   libQtSql.so.4 => ./libQtSql.so.4 (0xf53cd000)
   libQtXml.so.4 => ./libQtXml.so.4 (0xf5389000)
   libQtGui.so.4 => ./libQtGui.so.4 (0xf48c2000)
   libQtNetwork.so.4 => ./libQtNetwork.so.4 (0xf4790000)
   libQtCore.so.4 => ./libQtCore.so.4 (0xf44e3000)
   libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xf44c8000)
   libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xf449c000)
   libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xf42f1000)
   /lib/ld-linux.so.2 (0xf7737000)
   libXrender.so.1 => /usr/lib/i386-linux-gnu/libXrender.so.1 (0xf42e7000)
   libfontconfig.so.1 => /usr/lib/i386-linux-gnu/libfontconfig.so.1 (0xf42b3000)
   libfreetype.so.6 => /usr/lib/i386-linux-gnu/libfreetype.so.6 (0xf4219000)
   libXext.so.6 => /usr/lib/i386-linux-gnu/libXext.so.6 (0xf4207000)
   libX11.so.6 => /usr/lib/i386-linux-gnu/libX11.so.6 (0xf40d2000)
   libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xf3fed000)
   libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xf3fcf000)
   libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xf3fca000)
   libglapi.so.0 => /usr/lib/i386-linux-gnu/libglapi.so.0 (0xf3fb3000)
   libXdamage.so.1 => /usr/lib/i386-linux-gnu/libXdamage.so.1 (0xf3faf000)
   libXfixes.so.3 => /usr/lib/i386-linux-gnu/libXfixes.so.3 (0xf3fa9000)
   libX11-xcb.so.1 => /usr/lib/i386-linux-gnu/libX11-xcb.so.1 (0xf3fa6000)
   libxcb-glx.so.0 => /usr/lib/i386-linux-gnu/libxcb-glx.so.0 (0xf3f8e000)
   libxcb.so.1 => /usr/lib/i386-linux-gnu/libxcb.so.1 (0xf3f6d000)
   libXxf86vm.so.1 => /usr/lib/i386-linux-gnu/libXxf86vm.so.1 (0xf3f66000)
   libdrm.so.2 => /usr/lib/i386-linux-gnu/libdrm.so.2 (0xf3f59000)
   libQtCLucene.so.4 => ./libQtCLucene.so.4 (0xf3e81000)
   libgthread-2.0.so.0 => /usr/lib/i386-linux-gnu/libgthread-2.0.so.0 (0xf3e7e000)
   librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0xf3e74000)
   libglib-2.0.so.0 => /lib/i386-linux-gnu/libglib-2.0.so.0 (0xf3d7b000)
   libgobject-2.0.so.0 => /usr/lib/i386-linux-gnu/libgobject-2.0.so.0 (0xf3d2c000)
   libSM.so.6 => /usr/lib/i386-linux-gnu/libSM.so.6 (0xf3d23000)
   libICE.so.6 => /usr/lib/i386-linux-gnu/libICE.so.6 (0xf3d09000)
   libexpat.so.1 => /lib/i386-linux-gnu/libexpat.so.1 (0xf3cdf000)
   libz.so.1 => /lib/i386-linux-gnu/libz.so.1 (0xf3cc8000)
   libXau.so.6 => /usr/lib/i386-linux-gnu/libXau.so.6 (0xf3cc4000)
   libXdmcp.so.6 => /usr/lib/i386-linux-gnu/libXdmcp.so.6 (0xf3cbd000)
   libpcre.so.3 => /lib/i386-linux-gnu/libpcre.so.3 (0xf3c81000)
   libffi.so.6 => /usr/lib/i386-linux-gnu/libffi.so.6 (0xf3c79000)
   libuuid.so.1 => /lib/i386-linux-gnu/libuuid.so.1 (0xf3c73000)
chris_de_villiers
Newbie Member
 
Posts: 6
Joined: Tue Feb 19, 2013 8:37 am

Re: Cannot start QCAD on Ubuntu 12.04

Postby andrew » Tue Feb 19, 2013 1:42 pm

Chris: this looks fine as far as I can tell. It is possible that there is an incompatibility with libraries that were updated after the original installation of Debian.

If you don't mind, please download and install the latest development snapshot (3.0.8 ) available from your download area. It contains more libraries which should increase compatibility across Linux installations. Please report back if the development snapshot works. If so, it might be possible to make QCAD 3.0 stable run as well.
User avatar
andrew
Site Admin
 
Posts: 2524
Joined: Fri Mar 30, 2007 6:07 am

Re: Cannot start QCAD on Ubuntu 12.04

Postby chris_de_villiers » Tue Feb 19, 2013 7:18 pm

Andrew: Thanks for taking the trouble to look into this. I appreciate it.

However, I am terrified of installing things that I'm not confident about. My Ubuntu 12.04 recently crashed exactly because I was trying to get something working by installing different libraries.

I have found a workaround, which, although it doesn't resolve the issue, works for me. I happen to have Virtualbox on my PC, and I have a CD with the 32-bit Linux Mint 13 version. I installed Mint on Virtualbox, then I installed QCAD, and everything works. So, now I can use QCAD on my PC. :D
chris_de_villiers
Newbie Member
 
Posts: 6
Joined: Tue Feb 19, 2013 8:37 am

Re: Cannot start QCAD on Ubuntu 12.04

Postby andrew » Thu Aug 08, 2013 1:35 pm

This issue has likely been resolved in newer versions of QCAD (3.1, 3.2). Please let me know if that is not the case.
User avatar
andrew
Site Admin
 
Posts: 2524
Joined: Fri Mar 30, 2007 6:07 am

Re: Cannot start QCAD on Ubuntu 12.04 [solved]

Postby bwallum » Thu Oct 10, 2013 5:54 pm

I'm having a similar problem with re-install using Ubuntu 13.10 64bit. I can find the folder with qcad.txt in can't make it run. Any ideas on how to solve this please? I think I'm on version qCad Pro 3.0
bwallum
Junior Member
 
Posts: 16
Joined: Thu Jul 08, 2010 8:15 am

Re: Cannot start QCAD on Ubuntu 12.04 [solved]

Postby andrew » Thu Oct 10, 2013 6:23 pm

bwallum: QCAD 3.0 will likely not work without any additional effort on Ubuntu 13. Please note that 64bit binaries are now available for newer versions of QCAD (>=3.1).
User avatar
andrew
Site Admin
 
Posts: 2524
Joined: Fri Mar 30, 2007 6:07 am


Return to QCAD 3 Troubleshooting and Problems

Who is online

Users browsing this forum: No registered users and 1 guest